package colori;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;

public class ColorChooser extends JPanel implements ActionListener {

	private JPanel pnlColore;

	public ColorChooser() {
		this.setPreferredSize(new Dimension(650, 40));

		JLabel lblColore = new JLabel("Colore");
		add(lblColore);

		pnlColore = new JPanel();
		pnlColore.setBorder(new LineBorder(Color.GRAY));
		pnlColore.setPreferredSize(new Dimension(24, 24));
		pnlColore.setBackground(Color.WHITE);
		add(pnlColore);

		JButton btnBianco = new JButton("Bianco");
		btnBianco.setForeground(Color.BLACK);
		btnBianco.setBackground(Color.WHITE);
		btnBianco.addActionListener(this);
		add(btnBianco);

		JButton btnNero = new JButton("Nero");
		btnNero.setForeground(Color.WHITE);
		btnNero.setBackground(Color.BLACK);
		btnNero.addActionListener(this);
		add(btnNero);

		JButton btnRosso = new JButton("Rosso");
		btnRosso.setForeground(Color.WHITE);
		btnRosso.setBackground(Color.RED);
		btnRosso.addActionListener(this);
		add(btnRosso);

		JButton btnGiallo = new JButton("Giallo");
		btnGiallo.setForeground(Color.BLACK);
		btnGiallo.setBackground(Color.YELLOW);
		btnGiallo.addActionListener(this);
		add(btnGiallo);

		JButton btnVerde = new JButton("Verde");
		btnVerde.setForeground(Color.BLACK);
		btnVerde.setBackground(Color.GREEN);
		btnVerde.addActionListener(this);
		add(btnVerde);

		JButton btnAzzurro = new JButton("Azzurro");
		btnAzzurro.setForeground(Color.BLACK);
		btnAzzurro.setBackground(Color.CYAN);
		btnAzzurro.addActionListener(this);
		add(btnAzzurro);

		JButton btnBlu = new JButton("Blu");
		btnBlu.setForeground(Color.WHITE);
		btnBlu.setBackground(Color.BLUE);
		btnBlu.addActionListener(this);
		add(btnBlu);

		JButton btnMagenta = new JButton("Magenta");
		btnMagenta.setForeground(Color.WHITE);
		btnMagenta.setBackground(Color.MAGENTA);
		btnMagenta.addActionListener(this);
		add(btnMagenta);
	}

	// metodo per recuparare il colore scelto dal programma principale
	public Color getColor() {
		return pnlColore.getBackground();
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		switch (arg0.getActionCommand()) {
		case "Bianco":
			pnlColore.setBackground(Color.WHITE);
			break;
		case "Nero":
			pnlColore.setBackground(Color.BLACK);
			break;
		case "Rosso":
			pnlColore.setBackground(Color.RED);
			break;
		case "Giallo":
			pnlColore.setBackground(Color.YELLOW);
			break;
		case "Verde":
			pnlColore.setBackground(Color.GREEN);
			break;
		case "Azzurro":
			pnlColore.setBackground(Color.CYAN);
			break;
		case "Blu":
			pnlColore.setBackground(Color.BLUE);
			break;
		case "Magenta":
			pnlColore.setBackground(Color.MAGENTA);
			break;
		default:
			JOptionPane.showMessageDialog(this, "Colore non riconoscciuto", "Attenzione", JOptionPane.WARNING_MESSAGE);
		}
	}

}
